package cn.freemud.service.mccafe;

import cn.freemud.management.entities.dto.request.order.MCCafeCouponLockRequest;
import cn.freemud.management.entities.dto.request.order.MCCafeCouponRequest;
import cn.freemud.management.entities.dto.response.coupon.McdNetBatchQueryResponse;
import com.freemud.application.sdk.api.couponcenter.offline.response.CouponBaseResponse;
import com.freemud.application.sdk.api.couponcenter.offline.response.CouponRedeemResponse;
import com.freemud.application.sdk.api.ordercenter.entities.v1.OrderBeanV1;

import java.util.List;

public interface CouponClientService {

    CouponRedeemResponse redeem(MCCafeCouponRequest mcCafeCouponRequest);

    List<CouponRedeemResponse> redeemBatch(OrderBeanV1 orderBean);

    McdNetBatchQueryResponse batchQuery(MCCafeCouponRequest mcCafeCouponRequest);

    CouponBaseResponse lock(MCCafeCouponLockRequest mcCafeCouponLockRequest);

    List<CouponBaseResponse> lockBatch(OrderBeanV1 orderBean);
}
